Subject: Re: linux-next: unneeded merge in the security tree

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Mar 2013 15:00:24 -0700

Linus Torvalds <[email-masked]> writes:

> That said, adding the signature from an upstream tag doesn't really
> seem to be hugely useful. I'm not seeing much of an upside, in other
> words. I'd *expect* that people would pick up upstream tags
> regardless, no?

Yes, their "git fetch" will auto-follow, but mergetag embedded in
the commit objects will give the history auditable trail the same
way as the merges you make your downstream.  You of course could
match out-of-line tags against back-merges and verify your merges
with mergetags, but you do not have to.